### Hierarchy

- EntityBone
  - PedBone

## Index

### Constructors

- constructor

### Properties

- index
- owner

### Accessors

- Index
- IsValid
- Owner
- Position

## Constructors

### constructor

- new EntityBone(owner: Entity, boneIndex?: number, boneName?: string): EntityBone

- - Defined in models/EntityBone.ts:25

  #### Parameters

  - ##### owner: Entity

  - ##### Optional boneIndex: number

  - ##### Optional boneName: string

  #### Returns EntityBone

## Properties

### Protected Readonly index

index: number

- Defined in models/EntityBone.ts:23

### Protected Readonly owner

owner: Entity

- Defined in models/EntityBone.ts:22

## Accessors

### Index

- get Index(): number

- - Defined in models/EntityBone.ts:5

  #### Returns number

### IsValid

- get IsValid(): boolean

- - Defined in models/EntityBone.ts:18

  #### Returns boolean

### Owner

- get Owner(): Entity

- - Defined in models/EntityBone.ts:9

  #### Returns Entity

### Position

- get Position(): Vector3

- - Defined in models/EntityBone.ts:13

  #### Returns Vector3

Generated using TypeDoc